# Fn<> MagicHeader
Returns the magic header for a file format tag.

Defined in | <seqan/basic.h>
Signature | `MagicHeader<TTag[, TDummy]>::VALUE;`

## Template Parameters

`TTag` | The file format tag to use for the query.
`TDummy` | Implementation detail, defaults to `void` and is ignored.

## Return Values

`VALUE` | The magic header string, of type `char const *`.

## Detailed Description

The magic header is used for recognizing files from the first few bytes.

This metafunction must be implemented in the modules implementing the file I/O. The metafunction is predefined when `TTag` is Nothing. In this case, `VALUE` is `NULL`.

#### Dox Sources

    /*!
     * @mfn MagicHeader
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Returns the magic header for a file format tag.
     *
     * @signature MagicHeader<TTag[, TDummy]>::VALUE;
     *
     * @tparam TTag The file format tag to use for the query.
     * @tparam TDummy Implementation detail, defaults to <tt>void</tt> and is
     *                ignored.
     *
     * @return VALUE The magic header string, of type <tt>char const *</tt>.
     *
     * The magic header is used for recognizing files from the first few bytes.
     *
     * This metafunction must be implemented in the modules implementing the file
     * I/O. The metafunction is predefined when <tt>TTag</tt> is @link Nothing
     * @endlink. In this case, <tt>VALUE</tt> is <tt>NULL</tt>.
     */